%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/matttproud/golang_protobuf_extensions/v2
Version:                2.0.0

%gometa -L


%global common_description %{expand:
Support for streaming Protocol Buffer messages for the Go language (golang).}

%global golicenses      NOTICE LICENSE
%global godocs          CHANGELOG.md README.md

Name:           golang-github-matttproud-protobuf-extensions2
Release:    1%{?dist}
Summary:        Support for streaming Protocol Buffer messages for Go

License:        Apache-2.0
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
